# ============================================================
# easyPhotos 自身的混淆规则（仅当本模块 minifyEnabled=true 时生效，当前默认 false）
# 实际包名：com.huantansheng.easyphotos
# ============================================================

# 完全不混淆主包
-keep class com.huantansheng.easyphotos.** { *; }
-keepclassmembers class com.huantansheng.easyphotos.** {
    public <init>(...);
    <fields>;
    <methods>;
}
# 依赖库也不混淆
-keep class com.davemorrissey.labs.subscaleview.** { *; }
-keep class com.github.chrisbanes.photoview.** { *; }
-keepclassmembers class * extends android.view.View {
    public <init>(android.content.Context, android.util.AttributeSet);
    public <init>(android.content.Context, android.util.AttributeSet, int);
    public <init>(android.content.Context, android.util.AttributeSet, int, int);
}
-keepattributes Signature,*Annotation*,InnerClasses,EnclosingMethod,RuntimeVisibleAnnotations,SourceFile,LineNumberTable
-dontwarn com.huantansheng.easyphotos.**
-dontwarn com.davemorrissey.labs.subscaleview.**
-dontwarn com.github.chrisbanes.photoview.**
